curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-yc-founders-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"max_items": 2
}'import requests
url = "https://api.neuralverge.ai/functions/v1/run-yc-founders-search"
payload = { "max_items": 2 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-yc-founders-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "yc_founders_search",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Y Combinator — founders search\n\n- **Query:** max_items=2\n- **Results:** 2 of 13943 found\n- **Proxy traffic:** 2.7 KB",
"machine": {
"total_items": 2,
"first_item": {
"id": "andy-fang",
"name": "Andy Fang",
"url": "https://www.ycombinator.com/companies/doordash",
"alias": "andy-fang",
"yc_id": 38677,
"first_name": "Andy",
"last_name": "Fang",
"title": null,
"titles": [
"Founder"
],
"company": "DoorDash",
"company_slug": "doordash",
"company_url": "https://www.ycombinator.com/companies/doordash",
"all_companies": "DoorDash",
"batches": [
"S13"
],
"industries": [
"Consumer"
],
"subindustries": [
"Consumer -> Food and Beverage"
],
"region": "United States of America",
"top_company": true,
"avatar": "https://bookface-images.s3.amazonaws.com/avatars/770656503cf9b58fad0796e7d154fa00279c3733.jpg",
"hn_id": "andyfang"
},
"items": [
{
"id": "andy-fang",
"name": "Andy Fang",
"url": "https://www.ycombinator.com/companies/doordash",
"alias": "andy-fang",
"yc_id": 38677,
"first_name": "Andy",
"last_name": "Fang",
"title": null,
"titles": [
"Founder"
],
"company": "DoorDash",
"company_slug": "doordash",
"company_url": "https://www.ycombinator.com/companies/doordash",
"all_companies": "DoorDash",
"batches": [
"S13"
],
"industries": [
"Consumer"
],
"subindustries": [
"Consumer -> Food and Beverage"
],
"region": "United States of America",
"top_company": true,
"avatar": "https://bookface-images.s3.amazonaws.com/avatars/770656503cf9b58fad0796e7d154fa00279c3733.jpg",
"hn_id": "andyfang"
},
{
"id": "tony-xu",
"name": "Tony Xu",
"url": "https://www.ycombinator.com/companies/doordash",
"alias": "tony-xu",
"yc_id": 14644,
"first_name": "Tony",
"last_name": "Xu",
"title": "CEO",
"titles": [
"CEO"
],
"company": "DoorDash",
"company_slug": "doordash",
"company_url": "https://www.ycombinator.com/companies/doordash",
"all_companies": "DoorDash",
"batches": [
"S13"
],
"industries": [
"Consumer"
],
"subindustries": [
"Consumer -> Food and Beverage"
],
"region": "United States of America",
"top_company": true,
"avatar": "https://bookface-images.s3.amazonaws.com/avatars/1d5915aa4f0da14e3b2e60fc1c3322fc42d58e20.jpg",
"hn_id": "tonyxu"
}
],
"total_found": 13943,
"page_count": 1,
"blocked": false,
"proxy_traffic_bytes": 2720
},
"total_points": 2
}Y Combinator founders search
Search the public Y Combinator founders directory by name keyword and filters (batch, title, industry, top company): name, title, company, batches, industries and region. 1 point per returned record.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Keyword (optional). e.g. chesky
Batches (comma-separated). e.g. Winter 2024, S23
Titles (comma-separated). e.g. CEO, CTO
Industries (comma-separated). e.g. Fintech, B2B
Top companies
Max items (up to 250)
1 <= x <= 250Starting page
x >= 1Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.